from distutils.core import setup
import py2exe, modulefinder, os, glob,string

extraFiles = [("gui", glob.glob(os.path.join("gui", "*.glade"))),
              (os.path.join("gui", "icons"),
               glob.glob(os.path.join("gui", "icons", "*.png"))),
              ("", ("README.txt", "LICENSE.txt"))]

def addFolder(folder):
    l = os.listdir(folder)
    folderList = []
    extraFiles.append((folder, folderList))
    for f in l:
        path = os.path.join(folder, f)
        if os.path.isdir(path): addFolder(path)
        else: folderList.append(path)
        
#Add overrides
addFolder(os.path.join("model", "overrides"))

includes = ['cairo', 'pango', 'pangocairo', 'atk', 'gobject']

for m in glob.glob(os.path.join("model", "effects", "*.py")):
    mn = m.replace(".py", "").replace("/", ".").replace("\\", ".")
    includes.append(mn)

for m in glob.glob(os.path.join("gui", "mainWindow", "*.py")):
    mn = m.replace(".py", "").replace("/", ".").replace("\\", ".")
    includes.append(mn)
    
setup(
    name = 'pyfa',
    description = 'Python fitting assistant',
    version = 'beta',
    console=('downloadData.py',),
    windows = (
                  {'script': 'launch.py',
                   'icon_resources': [(1, "pyfa.ico")],},
              ),

    options = {
                  'py2exe': {
                      'includes': includes,
                      'optimize': 2,
                  }
              },
    data_files= extraFiles,
    packages = (os.path.join("model", "effects"),)
)

